List FX rates

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.maddenanalytics.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Madden Analytics API MCP server": {
    "url": "https://docs.maddenanalytics.com/mcp"
  }
}

Close
GET /v2/api/fxrates

List all custom FX rates for your account. Optionally filter by external reference and/or currency pair.

Query parameters

  • externalReference string

    Filter by external reference

  • fromCurrency string

    Filter by source currency (e.g. USD)

  • toCurrency string

    Filter by target currency (e.g. EUR)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • exchangeDate string
    • externalReference string
    • fromCurrency string
    • fromDate string
    • id integer
    • rate number
    • toCurrency string
    • toDate string
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/fxrates
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/fxrates' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "exchangeDate": "string",
    "externalReference": "my-ref",
    "fromCurrency": "USD",
    "fromDate": "string",
    "id": 1,
    "rate": 0.92,
    "toCurrency": "EUR",
    "toDate": "string"
  }
]
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}